Pike's Mozilla Firefox Add-ons

Get Firefox!

Here are my simple add-ons for the superb Mozilla Firefox browser. If you have any comments, suggestions, questions or bug reports please feel free to e-mail me at .

Latest News

Firefox 9 Compatibility

All add-ons should now be compatible with Firefox 9, if they show as incompatible then please reinstall from the links on this page. From Firefox 10 onwards, Mozilla are planning to treat add-ons as compatible by default, this should remove the need to reinstall after each Firefox update. To be safe I'll do one last update for Firefox 10 just before it's released, after that I'll only update if something breaks.

Firefox 8 Compatibility

All add-ons should now be compatible with Firefox 8, if they show as incompatible then please reinstall from the links on this page. Mozilla are planning to treat add-ons as compatible by default starting in Firefox 10, this should remove the need to reinstall after each Firefox update, in the meantime, thank you for your patience.

Add-ons

Bookmark Backup

Get Bookmark Backup
Version 0.4.11

Bookmark Backup is a simple add-on that helps to keep your bookmarks (and optionally other Firefox settings) safe. Each time Firefox is closed, a copy of your bookmarks file will be made to a backup location. If Firefox's bookmarks become corrupted or lost, find the most recent uncorrupted backup and copy it into your profile folder.

Create Shortcut

Get Create Shortcut
Version 0.3.6

Implements the Netscape Navigator 4 Create Shortcut menu item in Firefox. To create a shortcut to the current page bring up the context menu (usually done by right-clicking) and choose Create Shortcut. Selecting the menu item displays a dialog box that allows the creation of a shortcut to the current page/link on your desktop.

Note: This add-on is currently for Microsoft Windows only, see the Deskcut add-on for a cross-platform alternative.

Obsolete Add-ons

Many add-ons that were previously on this page are now obsolete. These add-ons are still available for those using older versions of Firefox, however they are no longer supported and will not work with the latest version of Firefox.

Browse Obsolete Add-ons

Back to the top